#!/bin/sh
OSDEP_HFILE="e1000_osdep.h"
SHARED_CFILES="e1000_hw.c"
SHARED_HFILES="e1000_hw.h"
SUBDIR="SHARED"

FREEBSD="/*\$FreeBSD\$*/"
LICENSE="../LICENSE"
STRIP_FLAGS="EXTERNAL_RELEASE RK_HW NO_VERSION_CONTROL"
STRIP="perl ../scripts/strip.pl"
COMMENT="../scripts/comment_block.sh"

o=$OSDEP_HFILE
no=`echo "$o" | sed -e "s/e1000_/if_em_/"`
echo $no

for d in $SUBDIR
do
for f in $SHARED_CFILES $SHARED_HFILES 
do
  echo $d/$f
  ((sh $COMMENT < $LICENSE); echo $FREEBSD; $STRIP $STRIP_FLAGS < $d/$f)  > $f 

  for h in $SHARED_HFILES
  do
    t=`echo "$h" | sed -e "s/e1000_/if_em_/"`
    (cat $f | sed -e "s/^#include \"$h\"/#ifdef LM\\
#include \"$t\"\\
#else\\
#include <dev\/em\/$t>\\
#endif/") > $f.new
    mv $f.new $f
  done

  n=`echo "$f" | sed -e "s/e1000_/if_em_/"`
  (cat $f | sed "s/^\/\* $f/\/\* $n/" | sed -e "s/^#include \"$o\"/#ifdef LM\\
#include \"$no\"\\
#else\\
#include <dev\/em\/$no>\\
#endif/" | sed 's/_E1000/_EM/g' | sed 's/e1000_/em_/g') > $n
  rm $f
done
done

